using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AutoTurnOver.Models
{
   public class charts_line_dto
    {
        public List<string> x { get; set; }
        public List<data_dto> y { get; set; }
        public List<string> y_name { get {
                if (y == null || y.Count<1)
                {
                    return new List<string>();
                }
                else
                {
                    return y.Select(s=>s.name).ToList();
                }
            } }
        public class data_dto
        {
            public string name { get; set; }
            public string type { get; set; }
            public List<decimal> data { get; set; }
        }
       
    }
}
